<?php
/*
Plugin Name: OneCart Spanish
Plugin URI: http://themeforest.net/item/onecart-ajax-responsive-ecommerce-wordpress-theme/3167538?ref=ThemeFluent
Description: Add Spanish language to OneCart.
Version: 1.0
Author: ThemeFluent
Author URI: http://themeforest.net/user/ThemeFluent?ref=ThemeFluent
*/

define('PLUGIN_OCART_SPANISH_URL',plugin_dir_url(__FILE__ ));
define('PLUGIN_OCART_SPANISH_PATH',plugin_dir_path(__FILE__ ));
define('PLUGIN_OCART_SPANISH_DB_VERSION','1');
define('PLUGIN_OCART_SPANISH_CODE', 'es_ES');
define('es_ES','Spanish');
define('es_ES_image', plugin_dir_url(__FILE__ ).'/flag.png');

register_activation_hook(__FILE__,'ocart_spanish_install'); 
register_deactivation_hook( __FILE__, 'ocart_spanish_deactivate' );
register_uninstall_hook( __FILE__,'ocart_spanish_uninstall');

/**
**
**@hook into init to load the textdomain
**@this will make the language recognized/installed only
**
**/
add_action ('init', 'ocart_load_textdomain_spanish');
function ocart_load_textdomain_spanish(){
    load_theme_textdomain('ocart', PLUGIN_OCART_SPANISH_PATH . '/l10n');
}

/**
**
**@hook on activation
**
**/
function ocart_spanish_install() {

	// add the language (but check existing first)
	$languages = get_option('occommerce_language_plugins');
	if (!is_array($languages)) $languages = array();
	if (!in_array(PLUGIN_OCART_SPANISH_CODE, $languages)) {
		$languages[] = PLUGIN_OCART_SPANISH_CODE;
		update_option('occommerce_language_plugins', $languages);
	}

}

/**
**
**@hook on deactivation
**
**/
function ocart_spanish_deactivate() {

	// remove the language code from supported languages
	$languages = get_option('occommerce_language_plugins');
	if (!is_array($languages)) $languages = array();
	foreach($languages as $language) {
		if ($language !== PLUGIN_OCART_SPANISH_CODE) {
			$updated[] = $language;
		}
	}
	update_option('occommerce_language_plugins', $updated);

}

/**
**
**@hook on uninstall
**
**/
function ocart_spanish_uninstall() {

	// remove the language code from supported languages
	$languages = get_option('occommerce_language_plugins');
	if (!is_array($languages)) $languages = array();
	foreach($languages as $language) {
		if ($language !== PLUGIN_OCART_SPANISH_CODE) {
			$updated[] = $language;
		}
	}
	update_option('occommerce_language_plugins', $updated);

}